import { httpRequest } from '@/services/http'
import { HttpParams } from '@/services/http/interface'

/**
 * 查询合同转让列表
 */
export function queryTHJPurchaseTransfer(params: HttpParams<{ req: Model.THJPurchaseTransferReq, rsp: Model.THJPurchaseTransferRsp[] }>) {
    return httpRequest('/Ferroalloy/QueryTHJPurchaseTransfer', 'get', params);
}

/**
 * 查询合同转让详情
 */
export function queryTHJPurchaseTransferDetail(params: HttpParams<{ req: Model.THJPurchaseTransferDetailReq, rsp: Model.THJPurchaseTransferDetailRsp }>) {
    return httpRequest('/Ferroalloy/QueryTHJPurchaseTransferDetail', 'get', params);
}